# 💽 Jak připojit nový SSD disk v EndeavourOS

1. Zjistíme jestli systém disk vidí:
```
sudo blkid 
```
Určíme přidaný disk (dle názvu či velikosti), v mém případě dle názvu to byl **UUID=ac7fcb19-db3b-4325-85d7-b7bec6abb58a** .

2. Vytvoříme v systému složku **media**:
```
sudo mkdir /media/
```
3. Ve složce **media** vytvoříme složku **data** což bude název nově připojeného disku:
```
sudo mkdir /media/data
```

4. Připojíme nový disk pomocí konfigurace **fstab**, použijeme k tomu terminálový editor [Nano](https://lukan.cz/2024/10/%f0%9f%92%bb-nano-terminalovy-textovy-editor/):
```
sudo nano /etc/fstab
```
5. Na řádek vložíme informace o našem disku. **Pozor budou se lišit od mých, tento kód je pouze pro ukázku. Vše vyčtete pomocí sudo blkid**.
```
UUID=ac7fcb19-db3b-4325-85d7-b7bec6abb58a /media/data ext4 defaults 0 3
```
Zapíšeme a uložíme změnu v fstab pomocí editoru Nano.

6. Připojíme nový disk k systému:
```
sudo mount -a
```
Restartujeme systém nebo pokračujeme dle pokynů z terminálu bez restartu.

7. Nastavíme plná práva pro přístup uživatelům k disku:

Pro jednotlivce nebo vás použijeme příkaz:
```
sudo chown vaseUzivatelskeJmeno:vaseUzivatelskeJmeno /media/data
```

nebo pro všechny uživatele v PC:
```
sudo chmod 700 /media/data
```